Subject: Re: [PATCH] [v9] net: emac: emac gigabit ethernet controller driver

From: Timur Tabi <[email-masked]>
Date: Wed, 31 Aug 2016 14:19:26 -0500

Florian Fainelli wrote:
> if these are truly 64-bits stats, how come you are using a single
> readl_* to access them? Or is the u64 rx_err_addr just used as temporary
> storage and aligned to the largest size you need to deal with?

"*stats_itr += val;" takes the 32-bit val, zero-extends it to 64 bits, 
and then adds that to the corresponding 64-bit field in emac_stats.

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html